Download it now!
Bug 90046 - RTF import: document that starts with a footnote crashes Writer (also on paste from clipboard)
Summary: RTF import: document that starts with a footnote crashes Writer (also on past...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.6.2 release
Hardware: Other All
: medium normal
Assignee: Michael Stahl (allotropia)
URL:
Whiteboard: target:5.1.0 target:5.0.1 target:4.4.6
Keywords: filter:rtf, preBibisect, regression
: 90047 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-03-16 23:23 UTC by LD
Modified: 2016-10-25 19:21 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Crash log (124.30 KB, text/plain)
2015-03-16 23:23 UTC, LD
Details
Backtrace from Win 7 Libo 4.4 (10.97 KB, text/plain)
2015-03-21 12:21 UTC, Buovjaga
Details
RTF data from Accordance 11 (1.53 KB, text/rtf)
2015-03-30 15:07 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description LD 2015-03-16 23:23:34 UTC
Created attachment 114139 [details]
Crash log

Pasting a footnote from an external application crashes LibreOffice Writer, though it works in OpenOffice Writer.

i.e., the cursor is placed in the body of the text, and what ought to be inserted is a footnote reference number (usual superscript), and in the footnote itself the relevant text.

Yet LibreOffice Writer crashes. Please see attached crash log.
Comment 1 QA Administrators 2015-03-16 23:48:59 UTC
LD - please provide clearer instructions on how to reproduce. "Pasting a footnote from an external application" gives us almost no information. Please give us an enumerated list of steps that gives details as to what software you are using.

Marking as NEEDINFO - once you provide clearer steps please set to UNCONFIRMED. Thanks
Comment 2 Joel Madero 2015-03-17 01:52:19 UTC
*** Bug 90047 has been marked as a duplicate of this bug. ***
Comment 3 LD 2015-03-17 06:25:03 UTC
Apologies, I should have mentioned that the other software is called Accordance (http://www.accordancebible.com). A demo version is available for download.

Setup in Demo version (Mac)
In Preferences > Bibliography:
a) enable "Insert citation as footnote"
b) select "Turabian footnote" as Format type.

Steps to reproduce:
1) in the workspace that initially opened you'll see three text panes. 
  Select some text in the middle pane (titled Matthew Henry abridged).
2) Select menu "Edit > Copy as > Bibliography"
3) Switch to LibreOffice Writer and create a new document
4) Paste into body... crash.

Doing the same in OpenOffice Writer works.

A related bug: formatting
1) for the highlighted text, choose menu "Edit > Copy as > Citation"
2) Paste into OpenOffice writer doc... and into LibreOffice Writer doc
3) see different results.

OO Writer, places the reference in the footnote only and maintains its formatting (e.g., italics for book name etc)

LO Writer, places the reference both in the body and the footnote and loses formatting.
Comment 4 Buovjaga 2015-03-21 12:20:55 UTC
Reproduced.
Will attach backtrace of 4.4 crash.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI

Version: 4.5.0.0.alpha0+
Build ID: 181feb38d95e25980b96c2f6802cc906410abb13
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-03-19_23:38:28
Locale: fi_FI
Comment 5 Buovjaga 2015-03-21 12:21:30 UTC
Created attachment 114233 [details]
Backtrace from Win 7 Libo 4.4
Comment 6 Buovjaga 2015-03-30 15:07:34 UTC
Created attachment 114467 [details]
RTF data from Accordance 11

RTF data acquired with http://www.nirsoft.net/utils/inside_clipboard.html

Attached in plain text: The first verse of the Bible gives us a satisfying and useful account of the origin of the earth and the heavens. The faith of humble Christians understands this better than the fancy of the most learned men. 

Pasting crashes with LibreOffice 4.3.0.1 on Win 7 
Does not crash with LibreOffice 3.5.0rc3
Comment 7 Matthew Francis 2015-03-30 15:24:21 UTC
Opening attachment 114467 [details] crashes LO immediately - which may have something to do with it, if that is what is being passed over the clipboard

Reproduced on:
  Linux / current 4.5 master
  Linux / the start of bibisect 43all
  OSX / LO 3.5.6.2

But it works on 3.3.0.4 on OSX. So this looks to me like another very early regression.
Comment 8 Matthew Francis 2015-03-30 15:46:11 UTC
Comment on attachment 114467 [details]
RTF data from Accordance 11

Set the rtf sample to be text/rtf - that way it should be picked up by the crash tester
Comment 9 Buovjaga 2015-03-31 06:30:48 UTC
Pasting to 3.5.7.2 x86 on OS X 10.10 does not crash. Footnote is inserted correctly.
Pasting to 4.2.8.2 x86 on OS X 10.10 crashes.
Comment 10 Caolán McNamara 2015-07-24 11:59:31 UTC
dunno if https://gerrit.libreoffice.org/#/c/17325/ is a good fix or a bad one, doesn't crash afterwards, though footnote is vertical instead of horizontal
Comment 11 Commit Notification 2015-07-24 13:23:23 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a61fd02c819433a1206b3b3e61017ba2d0d3d467

tdf#90046: RTF import: ensure that a run is started before \footnote

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Michael Stahl (allotropia) 2015-07-24 13:28:36 UTC
fixed on master
Comment 13 Commit Notification 2015-07-24 15:04:21 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0de80b40ca9b7ad6489c8d3618186d0b5bd8647a&h=libreoffice-5-0

tdf#90046: RTF import: ensure that a run is started before \footnote

It will be available in 5.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2015-07-24 15:06:08 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c6f8e34c713c205fa9d2e10f5560eff37ad95a34&h=libreoffice-4-4

tdf#90046: RTF import: ensure that a run is started before \footnote

It will be available in 4.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Robinson Tryon (qubit) 2015-12-17 06:34:02 UTC Comment hidden (obsolete)